Index: mytharchive_nb.ts
===================================================================
--- mytharchive_nb.ts	(revisjon 10757)
+++ mytharchive_nb.ts	(arbeidskopi)
@@ -1,526 +1,536 @@
-<!DOCTYPE TS><TS>
-<context>
+<!DOCTYPE TS>
+<TS>
+  <context>
     <name>EditMetadataDialog</name>
     <message>
-        <source>Save</source>
-        <translation type="unfinished"></translation>
+      <source>Save</source>
+      <translation>Lagre</translation>
     </message>
     <message>
-        <source>Cancel</source>
-        <translation type="unfinished"></translation>
+      <source>Cancel</source>
+      <translation>Avbryt</translation>
     </message>
-</context>
-<context>
+  </context>
+  <context>
     <name>ExportNativeWizard</name>
     <message>
-        <source>0 Mb</source>
-        <translation type="unfinished"></translation>
+      <source>0 Mb</source>
+      <translation>0 MB</translation>
     </message>
     <message>
-        <source>Next</source>
-        <translation type="unfinished"></translation>
+      <source>Next</source>
+      <translation>Neste</translation>
     </message>
     <message>
-        <source>Previous</source>
-        <translation type="unfinished"></translation>
+      <source>Previous</source>
+      <translation>Forrige</translation>
     </message>
     <message>
-        <source>Cancel</source>
-        <translation type="unfinished"></translation>
+      <source>Cancel</source>
+      <translation>Avbryt</translation>
     </message>
     <message>
-        <source>Choose File...</source>
-        <translation type="unfinished"></translation>
+      <source>Choose File...</source>
+      <translation>Velg fil . . .</translation>
     </message>
     <message>
-        <source>Myth Archive</source>
-        <translation type="unfinished"></translation>
+      <source>Myth Archive</source>
+      <translation>Myth-arkiv</translation>
     </message>
     <message>
-        <source>You need to select at least one item to archive!</source>
-        <translation type="unfinished"></translation>
+      <source>You need to select at least one item to archive!</source>
+      <translation>Du må velge minst ett element å arkivere.</translation>
     </message>
     <message>
-        <source>Finish</source>
-        <translation type="unfinished"></translation>
+      <source>Finish</source>
+      <translation>Ferdig</translation>
     </message>
     <message>
-        <source>All Archive Items</source>
-        <translation type="unfinished"></translation>
+      <source>All Archive Items</source>
+      <translation>Alle arkivelementer</translation>
     </message>
     <message>
-        <source>Myth Burn</source>
-        <translation type="unfinished"></translation>
+      <source>Myth Burn</source>
+      <translation>Myth-brenner</translation>
     </message>
     <message>
-        <source>You don&apos;t have any items to archive!
+      <source>You don't have any items to archive!
 
 Click OK</source>
-        <translation type="unfinished"></translation>
+      <translation>Du har ingen ting å arkivere. 
+
+Trykk OK</translation>
     </message>
     <message>
-        <source>Remove Item</source>
-        <translation type="unfinished"></translation>
+      <source>Remove Item</source>
+      <translation>Fjern element</translation>
     </message>
-</context>
-<context>
+  </context>
+  <context>
     <name>FileSelector</name>
     <message>
-        <source>OK</source>
-        <translation type="unfinished"></translation>
+      <source>OK</source>
+      <translation>OK</translation>
     </message>
     <message>
-        <source>Cancel</source>
-        <translation type="unfinished"></translation>
+      <source>Cancel</source>
+      <translation>Avbryt</translation>
     </message>
     <message>
-        <source>Back</source>
-        <translation type="unfinished"></translation>
+      <source>Back</source>
+      <translation>Tilbake</translation>
     </message>
     <message>
-        <source>Home</source>
-        <translation type="unfinished"></translation>
+      <source>Home</source>
+      <translation>Hjem</translation>
     </message>
     <message>
-        <source>Myth Archive</source>
-        <translation type="unfinished"></translation>
+      <source>Myth Archive</source>
+      <translation>Myth-arkiverer</translation>
     </message>
     <message>
-        <source>You need to select at least one file!</source>
-        <translation type="unfinished"></translation>
+      <source>You need to select at least one file!</source>
+      <translation>Du må velge minst én fil.</translation>
     </message>
     <message>
-        <source>The selected item is not a directory!</source>
-        <translation type="unfinished"></translation>
+      <source>The selected item is not a directory!</source>
+      <translation>Valgte element er ikke en katalog.</translation>
     </message>
-</context>
-<context>
+  </context>
+  <context>
     <name>ImportNativeWizard</name>
     <message>
-        <source>Back</source>
-        <translation type="unfinished"></translation>
+      <source>Back</source>
+      <translation>Tilbake</translation>
     </message>
     <message>
-        <source>Home</source>
-        <translation type="unfinished"></translation>
+      <source>Home</source>
+      <translation>Hjem</translation>
     </message>
     <message>
-        <source>Next</source>
-        <translation type="unfinished"></translation>
+      <source>Next</source>
+      <translation>Neste</translation>
     </message>
     <message>
-        <source>Previous</source>
-        <translation type="unfinished"></translation>
+      <source>Previous</source>
+      <translation>Forrige</translation>
     </message>
     <message>
-        <source>Cancel</source>
-        <translation type="unfinished"></translation>
+      <source>Cancel</source>
+      <translation>Avbryt</translation>
     </message>
     <message>
-        <source>Myth Archive</source>
-        <translation type="unfinished"></translation>
+      <source>Myth Archive</source>
+      <translation>Myth-arkiv</translation>
     </message>
     <message>
-        <source>You need to select a valid archive XML file!</source>
-        <translation type="unfinished"></translation>
+      <source>You need to select a valid archive XML file!</source>
+      <translation>Du må velge en gydlig akriv-XML-fil.</translation>
     </message>
     <message>
-        <source>You need to select a valid chanID!</source>
-        <translation type="unfinished"></translation>
+      <source>You need to select a valid chanID!</source>
+      <translation>Du må velge en gydlig kanal-id.</translation>
     </message>
     <message>
-        <source>Finish</source>
-        <translation type="unfinished"></translation>
+      <source>Finish</source>
+      <translation>Fullfør</translation>
     </message>
     <message>
-        <source>Select a ChanID</source>
-        <translation type="unfinished"></translation>
+      <source>Select a ChanID</source>
+      <translation>Velg en kanal-id</translation>
     </message>
     <message>
-        <source>Select a ChanNo</source>
-        <translation type="unfinished"></translation>
+      <source>Select a ChanNo</source>
+      <translation>Velg et kanalnr.</translation>
     </message>
     <message>
-        <source>Select a Channel Name</source>
-        <translation type="unfinished"></translation>
+      <source>Select a Channel Name</source>
+      <translation>Velg et kanalnavn</translation>
     </message>
     <message>
-        <source>Select a Callsign</source>
-        <translation type="unfinished"></translation>
+      <source>Select a Callsign</source>
+      <translation>Velg et kanaltegn</translation>
     </message>
-</context>
-<context>
+  </context>
+  <context>
     <name>LogViewer</name>
     <message>
-        <source>Log Viewer</source>
-        <translation type="unfinished"></translation>
+      <source>Log Viewer</source>
+      <translation>Loggviser</translation>
     </message>
     <message>
-        <source>Seconds</source>
-        <translation type="unfinished"></translation>
+      <source>Seconds</source>
+      <translation>Sekunder</translation>
     </message>
     <message>
-        <source>Cancel</source>
-        <translation type="unfinished"></translation>
+      <source>Cancel</source>
+      <translation>Avbryt</translation>
     </message>
     <message>
-        <source>Update</source>
-        <translation type="unfinished"></translation>
+      <source>Update</source>
+      <translation>Oppdater</translation>
     </message>
     <message>
-        <source>Exit</source>
-        <translation type="unfinished"></translation>
+      <source>Exit</source>
+      <translation>Avslutt</translation>
     </message>
-</context>
-<context>
+  </context>
+  <context>
     <name>MythburnWizard</name>
     <message>
-        <source>Next</source>
-        <translation type="unfinished"></translation>
+      <source>Next</source>
+      <translation>Neste</translation>
     </message>
     <message>
-        <source>Previous</source>
-        <translation type="unfinished"></translation>
+      <source>Previous</source>
+      <translation>Forrige</translation>
     </message>
     <message>
-        <source>Cancel</source>
-        <translation type="unfinished"></translation>
+      <source>Cancel</source>
+      <translation>Avbryt</translation>
     </message>
     <message>
-        <source>Myth Archive</source>
-        <translation type="unfinished"></translation>
+      <source>Myth Archive</source>
+      <translation>Myth-arkiv</translation>
     </message>
     <message>
-        <source>You need to select at least one item to archive!</source>
-        <translation type="unfinished"></translation>
+      <source>You need to select at least one item to archive!</source>
+      <translation>Du må velge minst ett element å arkivere.</translation>
     </message>
     <message>
-        <source>Finish</source>
-        <translation type="unfinished"></translation>
+      <source>Finish</source>
+      <translation>Fullfør</translation>
     </message>
     <message>
-        <source>All Archive Items</source>
-        <translation type="unfinished"></translation>
+      <source>All Archive Items</source>
+      <translation>Alle arkivelementer</translation>
     </message>
     <message>
-        <source>Myth Burn</source>
-        <translation type="unfinished"></translation>
+      <source>Myth Burn</source>
+      <translation>Myth-brenner</translation>
     </message>
     <message>
-        <source>You don&apos;t have any items to archive!
+      <source>You don't have any items to archive!
 
 Click OK</source>
-        <translation type="unfinished"></translation>
+      <translation>Du har ingen elementer å arkivere 
+
+Trykk OK</translation>
     </message>
     <message>
-        <source>Edit Details</source>
-        <translation type="unfinished"></translation>
+      <source>Edit Details</source>
+      <translation>Rediger detaljer</translation>
     </message>
     <message>
-        <source>Remove Item</source>
-        <translation type="unfinished"></translation>
+      <source>Remove Item</source>
+      <translation>Fjern element</translation>
     </message>
     <message>
-        <source>Choose File...</source>
-        <translation type="unfinished"></translation>
+      <source>Choose File...</source>
+      <translation>Velg fil . . .</translation>
     </message>
     <message>
-        <source>Don&apos;t re-encode</source>
-        <translation type="unfinished"></translation>
+      <source>Don't re-encode</source>
+      <translation>Ikke kod på nytt</translation>
     </message>
     <message>
-        <source>New Size </source>
-        <translation type="unfinished"></translation>
+      <source>New Size </source>
+      <translation>Ny størrelse </translation>
     </message>
     <message>
-        <source>Original Size </source>
-        <translation type="unfinished"></translation>
+      <source>Original Size </source>
+      <translation>Opprinnelig størrelse </translation>
     </message>
-</context>
-<context>
+  </context>
+  <context>
     <name>QObject</name>
     <message>
-        <source>Myth Archive Temp Directory</source>
-        <translation type="unfinished"></translation>
+      <source>Myth Archive Temp Directory</source>
+      <translation>Myth-arkivs katalog for midlertidige filer</translation>
     </message>
     <message>
-        <source>Myth Archive Share Directory</source>
-        <translation type="unfinished"></translation>
+      <source>Myth Archive Share Directory</source>
+      <translation>Myth-arkivs katalog for deling</translation>
     </message>
     <message>
-        <source>Location where MythArchive stores its scripts, intro movies and theme files</source>
-        <translation type="unfinished"></translation>
+      <source>Location where MythArchive stores its scripts, intro movies and theme files</source>
+      <translation>Plassering hvor Myth-arkiv lagrer sine skript, intro- og temafiler</translation>
     </message>
     <message>
-        <source>Video format</source>
-        <translation type="unfinished"></translation>
+      <source>Video format</source>
+      <translation>Videoformat</translation>
     </message>
     <message>
-        <source>Video format for DVD recordings, PAL or NTSC.</source>
-        <translation type="unfinished"></translation>
+      <source>Video format for DVD recordings, PAL or NTSC.</source>
+      <translation>Videoformat for DVD-opptak, PAL eller NTSC.</translation>
     </message>
     <message>
-        <source>File Selector Filter</source>
-        <translation type="unfinished"></translation>
+      <source>File Selector Filter</source>
+      <translation>Filvelgingsfilter</translation>
     </message>
     <message>
-        <source>The file name filter to use in the file selector.</source>
-        <translation type="unfinished"></translation>
+      <source>The file name filter to use in the file selector.</source>
+      <translation>Filnavnfilter for bruk i filvelgeren.</translation>
     </message>
     <message>
-        <source>Location of DVD</source>
-        <translation type="unfinished"></translation>
+      <source>Location of DVD</source>
+      <translation>Plassering til DVD</translation>
     </message>
     <message>
-        <source>Which DVD drive to use when burning discs.</source>
-        <translation type="unfinished"></translation>
+      <source>Which DVD drive to use when burning discs.</source>
+      <translation>Hvilken DVD-stasjon som skal brukes til brenning.</translation>
     </message>
     <message>
-        <source>ffmpeg Command</source>
-        <translation type="unfinished"></translation>
+      <source>ffmpeg Command</source>
+      <translation>ffmpeg-kommando</translation>
     </message>
     <message>
-        <source>Command to run ffmpeg.</source>
-        <translation type="unfinished"></translation>
+      <source>Command to run ffmpeg.</source>
+      <translation>Kommando for å kjøre ffmpeg.</translation>
     </message>
     <message>
-        <source>mplex Command</source>
-        <translation type="unfinished"></translation>
+      <source>mplex Command</source>
+      <translation>mplex-kommando</translation>
     </message>
     <message>
-        <source>Command to run mplex</source>
-        <translation type="unfinished"></translation>
+      <source>Command to run mplex</source>
+      <translation>Kommando for å kjøre mplex</translation>
     </message>
     <message>
-        <source>dvdauthor command</source>
-        <translation type="unfinished"></translation>
+      <source>dvdauthor command</source>
+      <translation>dvdauthor-kommando</translation>
     </message>
     <message>
-        <source>Command to run dvdauthor.</source>
-        <translation type="unfinished"></translation>
+      <source>Command to run dvdauthor.</source>
+      <translation>Kommando fro å kjøre dvdauthor.</translation>
     </message>
     <message>
-        <source>mkisofs command</source>
-        <translation type="unfinished"></translation>
+      <source>mkisofs command</source>
+      <translation>mkisofs-kommando</translation>
     </message>
     <message>
-        <source>Command to run mkisofs. (Used to create ISO images)</source>
-        <translation type="unfinished"></translation>
+      <source>Command to run mkisofs. (Used to create ISO images)</source>
+      <translation>Kommando for å kjøre mkisofs. (Brukes til å lage ISO-bilder.)</translation>
     </message>
     <message>
-        <source>growisofs command</source>
-        <translation type="unfinished"></translation>
+      <source>growisofs command</source>
+      <translation>growisofs-kommando</translation>
     </message>
     <message>
-        <source>Command to run growisofs. (Used to burn DVD&apos;s)</source>
-        <translation type="unfinished"></translation>
+      <source>Command to run growisofs. (Used to burn DVD's)</source>
+      <translation>Kommando for å kjøre growisofs. (Brukes for å brenne DVD'er.)</translation>
     </message>
     <message>
-        <source>tcrequant command</source>
-        <translation type="unfinished"></translation>
+      <source>tcrequant command</source>
+      <translation>tcrequant-kommando</translation>
     </message>
     <message>
-        <source>Command to run tcrequant (Part of transcode package). Optional - leave blank if you don&apos;t have the transcode package installed.</source>
-        <translation type="unfinished"></translation>
+      <source>Command to run tcrequant (Part of transcode package). Optional - leave blank if you don't have the transcode package installed.</source>
+      <translation>Kommando for å kjøre tcrequant (del av transcode-pakken). Valgfritt - bruk at tomt felt hvis transcode-pakken ikke er installert.</translation>
     </message>
     <message>
-        <source>png2yuv command</source>
-        <translation type="unfinished"></translation>
+      <source>png2yuv command</source>
+      <translation>png2yuv-kommando</translation>
     </message>
     <message>
-        <source>Command to run png2yuv. Part of mjpegtools package</source>
-        <translation type="unfinished"></translation>
+      <source>Command to run png2yuv. Part of mjpegtools package</source>
+      <translation>Kommando for åkjøre png2yuv. Del av mjpegtools-pakken</translation>
     </message>
     <message>
-        <source>spumux command</source>
-        <translation type="unfinished"></translation>
+      <source>spumux command</source>
+      <translation>spumux-kommando</translation>
     </message>
     <message>
-        <source>Command to run spumux. Part of dvdauthor package</source>
-        <translation type="unfinished"></translation>
+      <source>Command to run spumux. Part of dvdauthor package</source>
+      <translation>Kommand for å kjøre spumux. Del av dvdauthor-pakken</translation>
     </message>
     <message>
-        <source>mpeg2enc command</source>
-        <translation type="unfinished"></translation>
+      <source>mpeg2enc command</source>
+      <translation>mpeg2enc-kommando</translation>
     </message>
     <message>
-        <source>Command to run mpeg2enc. Part of mjpegtools package</source>
-        <translation type="unfinished"></translation>
+      <source>Command to run mpeg2enc. Part of mjpegtools package</source>
+      <translation>Kommando for å kjøre mpeg2enc. Del av mjpegtools-pakken</translation>
     </message>
     <message>
-        <source>MythArchive Settings</source>
-        <translation type="unfinished"></translation>
+      <source>MythArchive Settings</source>
+      <translation>Oppsett av Myth-arkiv</translation>
     </message>
     <message>
-        <source>MythArchive External Commands (1)</source>
-        <translation type="unfinished"></translation>
+      <source>MythArchive External Commands (1)</source>
+      <translation>Eksterne kommandoer for Myth-arkiv (1)</translation>
     </message>
     <message>
-        <source>MythArchive External Commands (2)</source>
-        <translation type="unfinished"></translation>
+      <source>MythArchive External Commands (2)</source>
+      <translation>Eksterne kommandoer for Myth-arkiv (2)</translation>
     </message>
     <message>
-        <source>Myth Burn</source>
-        <translation type="unfinished"></translation>
+      <source>Myth Burn</source>
+      <translation>Myth-brenner</translation>
     </message>
     <message>
-        <source>Background creation has been asked to stop.
+      <source>Background creation has been asked to stop.
 This may take a few minutes.</source>
-        <translation type="unfinished"></translation>
+      <translation>Bakgrunnslagingen har blitt bedt om å stoppe. 
+Dette kan ta et par minutter.</translation>
     </message>
     <message>
-        <source>Myth Archive</source>
-        <translation type="unfinished"></translation>
+      <source>Myth Archive</source>
+      <translation>Myth-arkiv</translation>
     </message>
     <message>
-        <source>It was not possible to create the DVD.  An error occured when running the scripts</source>
-        <translation type="unfinished"></translation>
+      <source>It was not possible to create the DVD.  An error occured when running the scripts</source>
+      <translation>Klarte ikke lage DVD'en; en feil oppstod under kjøringen av skriptene</translation>
     </message>
     <message>
-        <source>Location where MythArchive should create its temporory work files. LOTS of free space required here.</source>
-        <translation type="unfinished"></translation>
+      <source>Location where MythArchive should create its temporory work files. LOTS of free space required here.</source>
+      <translation>Plassering hvor Myth-arkiv skal lagre midlertidige arbeidsfiler. Her må det være MYE ledig plass.</translation>
     </message>
     <message>
-        <source>Always Encode to AC3</source>
-        <translation type="unfinished"></translation>
+      <source>Always Encode to AC3</source>
+      <translation>Alltid kod til AC3</translation>
     </message>
     <message>
-        <source>If set audio tracks will always be re-encoded to AC3 for better compatibility with DVD players in NTSC countries.</source>
-        <translation type="unfinished"></translation>
+      <source>If set audio tracks will always be re-encoded to AC3 for better compatibility with DVD players in NTSC countries.</source>
+      <translation>Gjør at alle lydspor kodes på nytt igjen til AC3 for bedre kompatibilitet med DVD-spillere i NTSC-land.</translation>
     </message>
     <message>
-        <source>Copy remote files</source>
-        <translation type="unfinished"></translation>
+      <source>Copy remote files</source>
+      <translation>Kopier fjerne filer</translation>
     </message>
     <message>
-        <source>If set files on remote filesystems will be copied over to the local filesystem before processing. Speeds processing and reduces bandwidth on the network</source>
-        <translation type="unfinished"></translation>
+      <source>If set files on remote filesystems will be copied over to the local filesystem before processing. Speeds processing and reduces bandwidth on the network</source>
+      <translation>Kopierer filer på fjerne filsystemer over til det lokale filsystemet før de behandles. Gjør behandlingen raskere og senker bruken av båndbredde på nettverket</translation>
     </message>
     <message>
-        <source>Always Use Mythtranscode</source>
-        <translation type="unfinished"></translation>
+      <source>Always Use Mythtranscode</source>
+      <translation>Alltid bruk Mythtranscode</translation>
     </message>
     <message>
-        <source>If set mpeg2 files will always be passed though mythtranscode to clean up any errors. May help to fix some audio problems.</source>
-        <translation type="unfinished"></translation>
+      <source>If set mpeg2 files will always be passed though mythtranscode to clean up any errors. May help to fix some audio problems.</source>
+      <translation>Hvis på vil alltid MPEG-2-filer kjøres gjennom mythtranscode for å rette opp eventuelle feil. Kan kanskje ordne noen lydproblemer.</translation>
     </message>
     <message>
-        <source>Use FIFOs</source>
-        <translation type="unfinished"></translation>
+      <source>Use FIFOs</source>
+      <translation>Bruk FIFO'er</translation>
     </message>
     <message>
-        <source>The script will use FIFOs to pass the output of mplex into dvdauthor rather than creating intermediate files. Saves time and disk space during multiplex operations but not supported on Windows platform</source>
-        <translation type="unfinished"></translation>
+      <source>The script will use FIFOs to pass the output of mplex into dvdauthor rather than creating intermediate files. Saves time and disk space during multiplex operations but not supported on Windows platform</source>
+      <translation>Gjør at skriptet bruker FIFO'er for å sende utdata fra mplex til dvdauthor, i stedet for å lage midlertidige filer. Sparer tid og diskplass under multiplex-operasjoner, men virker ikke i Windows</translation>
     </message>
     <message>
-        <source>Main Menu Aspect Ratio</source>
-        <translation type="unfinished"></translation>
+      <source>Main Menu Aspect Ratio</source>
+      <translation>Høyde/bredde-forhold i hovedmenyen</translation>
     </message>
     <message>
-        <source>Aspect ratio to use when creating the main menu.</source>
-        <translation type="unfinished"></translation>
+      <source>Aspect ratio to use when creating the main menu.</source>
+      <translation>Høyde/bredde-forholdet som skal brukes ved laging av hovedmenyen.</translation>
     </message>
     <message>
-        <source>Chapter Menu Aspect Ratio</source>
-        <translation type="unfinished"></translation>
+      <source>Chapter Menu Aspect Ratio</source>
+      <translation>Høyde/breddeforhold for kapittelmenyen</translation>
     </message>
     <message>
-        <source>Aspect ratio to use when creating the chapter menu. Video means use the same aspect ratio as the associated video.</source>
-        <translation type="unfinished"></translation>
+      <source>Aspect ratio to use when creating the chapter menu. Video means use the same aspect ratio as the associated video.</source>
+      <translation>Høyde/breddeforhold som skal brukess ved laging av kapittelmenyen. «Video» betyr at det skal brukes det samme forholdet som i den tilknyttede videoen.</translation>
     </message>
     <message>
-        <source>MythArchive Settings (2)</source>
-        <translation type="unfinished"></translation>
+      <source>MythArchive Settings (2)</source>
+      <translation>Oppsett av Myth-arkiv (2)</translation>
     </message>
     <message>
-        <source>It was not possible to import the Archive.  An error occured when running &apos;mytharchivehelper&apos;</source>
-        <translation type="unfinished"></translation>
+      <source>It was not possible to import the Archive.  An error occured when running 'mytharchivehelper'</source>
+      <translation>Klarte ikke importere akrivet; feil oppsetod ved kjøring av «mytharchivehelper»</translation>
     </message>
-</context>
-<context>
+  </context>
+  <context>
     <name>RecordingSelector</name>
     <message>
-        <source>Clear All</source>
-        <translation type="unfinished"></translation>
+      <source>Clear All</source>
+      <translation>Avmerk alle</translation>
     </message>
     <message>
-        <source>Select All</source>
-        <translation type="unfinished"></translation>
+      <source>Select All</source>
+      <translation>Velg alle</translation>
     </message>
     <message>
-        <source>Cancel</source>
-        <translation type="unfinished"></translation>
+      <source>Cancel</source>
+      <translation>Avbryt</translation>
     </message>
     <message>
-        <source>OK</source>
-        <translation type="unfinished"></translation>
+      <source>OK</source>
+      <translation>OK</translation>
     </message>
     <message>
-        <source>Myth Archive</source>
-        <translation type="unfinished"></translation>
+      <source>Myth Archive</source>
+      <translation>Myth-arkiv</translation>
     </message>
     <message>
-        <source>You need to select at least one recording!</source>
-        <translation type="unfinished"></translation>
+      <source>You need to select at least one recording!</source>
+      <translation>Du må velge minst ett opptak.</translation>
     </message>
     <message>
-        <source>All Recordings</source>
-        <translation type="unfinished"></translation>
+      <source>All Recordings</source>
+      <translation>Alle opptak</translation>
     </message>
     <message>
-        <source>Myth Burn</source>
-        <translation type="unfinished"></translation>
+      <source>Myth Burn</source>
+      <translation>Myth-brenner</translation>
     </message>
     <message>
-        <source>You don&apos;t have any recordings!
+      <source>You don't have any recordings!
 
 Click OK</source>
-        <translation type="unfinished"></translation>
+      <translation>Du har ingen opptak. 
+
+Trykk OK</translation>
     </message>
-</context>
-<context>
+  </context>
+  <context>
     <name>VideoSelector</name>
     <message>
-        <source>Clear All</source>
-        <translation type="unfinished"></translation>
+      <source>Clear All</source>
+      <translation>Velg ingen</translation>
     </message>
     <message>
-        <source>Select All</source>
-        <translation type="unfinished"></translation>
+      <source>Select All</source>
+      <translation>Velg alle</translation>
     </message>
     <message>
-        <source>Cancel</source>
-        <translation type="unfinished"></translation>
+      <source>Cancel</source>
+      <translation>Avbryt</translation>
     </message>
     <message>
-        <source>OK</source>
-        <translation type="unfinished"></translation>
+      <source>OK</source>
+      <translation>OK</translation>
     </message>
     <message>
-        <source>Myth Archive</source>
-        <translation type="unfinished"></translation>
+      <source>Myth Archive</source>
+      <translation>Myth-arkiv</translation>
     </message>
     <message>
-        <source>You need to select at least one video file!</source>
-        <translation type="unfinished"></translation>
+      <source>You need to select at least one video file!</source>
+      <translation>Du må velge minst én videofil.</translation>
     </message>
     <message>
-        <source>All Videos</source>
-        <translation type="unfinished"></translation>
+      <source>All Videos</source>
+      <translation>Alle videoer</translation>
     </message>
     <message>
-        <source>Video Selector</source>
-        <translation type="unfinished"></translation>
+      <source>Video Selector</source>
+      <translation>Video-velger</translation>
     </message>
     <message>
-        <source>You don&apos;t have any videos!
+      <source>You don't have any videos!
 
 Click OK</source>
-        <translation type="unfinished"></translation>
+      <translation>Du har ingen videoer. 
+
+Trykk OK</translation>
     </message>
     <message>
-        <source>Parental Pin:</source>
-        <translation type="unfinished"></translation>
+      <source>Parental Pin:</source>
+      <translation>Forelder-pin:</translation>
     </message>
-</context>
+  </context>
 </TS>