Index: mythdvd_nb.ts
===================================================================
--- mythdvd_nb.ts	(revisjon 10757)
+++ mythdvd_nb.ts	(arbeidskopi)
@@ -1,383 +1,380 @@
-<!DOCTYPE TS><TS>
-<context>
+<!DOCTYPE TS>
+<TS>
+  <context>
     <name>DVDRipBox</name>
     <message>
-        <source>Your connection to the Myth Transcoding Daemon has gone away. This is not a good thing.</source>
-        <translation>Forbindelsen til Myths kodingsdemon har forsvunnet. Dette er et dårlig tegn.</translation>
+      <source>Your connection to the Myth Transcoding Daemon has gone away. This is not a good thing.</source>
+      <translation>Forbindelsen til Myths kodingsdemon har forsvunnet. Dette er et dårlig tegn.</translation>
     </message>
     <message>
-        <source>Cannot connect to your Myth Transcoding Daemon. You can try hitting any number key to start it. If you still see this message, then something is really wrong.</source>
-        <translation>Kunne ikke koble til Myths kodingsdemon. Prøv å starte den ved å trykke på en hvilken som helst tall-tast. Hvis denne meldingen vises fortsatt, er det definitivt ugler i mosen.</translation>
+      <source>Cannot connect to your Myth Transcoding Daemon. You can try hitting any number key to start it. If you still see this message, then something is really wrong.</source>
+      <translation>Kunne ikke koble til Myths kodingsdemon. Prøv å starte den ved å trykke på en hvilken som helst tall-tast. Hvis denne meldingen vises fortsatt, er det definitivt ugler i mosen.</translation>
     </message>
     <message>
-        <source>Attempting to connect to your mtd said host not found. This is unrecoverably bad. </source>
-        <translation>Forsøket på å koble til MTD svarte at verten ikike ble funnet, noe som er litt dumt.</translation>
+      <source>Attempting to connect to your mtd said host not found. This is unrecoverably bad. </source>
+      <translation>Forsøket på å koble til MTD svarte at verten ikike ble funnet, noe som er litt dumt.</translation>
     </message>
     <message>
-        <source>Socket communication errors. This is unrecoverably bad. </source>
-        <translation>Feil med søylekommunikasjon, et tegn på dommedag. </translation>
+      <source>Socket communication errors. This is unrecoverably bad. </source>
+      <translation>Feil med søylekommunikasjon, et tegn på dommedag. </translation>
     </message>
     <message>
-        <source>Something is wrong, but I don&apos;t know what.</source>
-        <translation>En ukjent feil har oppstått.</translation>
+      <source>Something is wrong, but I don't know what.</source>
+      <translation>En ukjent feil har oppstått.</translation>
     </message>
     <message>
-        <source>Job %1 of %2</source>
-        <translation>Jobb %1 av %2</translation>
+      <source>Job %1 of %2</source>
+      <translation>Jobb %1 av %2</translation>
     </message>
     <message>
-        <source>No jobs and nothing else to do. You could hit 0 to rip a DVD.</source>
-        <translation>Ingen jobber eller andre ting å gjøre. Du kan jo trykke &apos;0&apos; for å rippe en DVD.</translation>
+      <source>No jobs and nothing else to do. You could hit 0 to rip a DVD.</source>
+      <translation>Ingen jobber eller andre ting å gjøre. Du kan jo trykke '0' for å rippe en DVD.</translation>
     </message>
     <message>
-        <source>No Jobs. Checking and/or waiting for DVD.</source>
-        <translation>Ingen jobber, ser etter og/eller venter på DVD.</translation>
+      <source>No Jobs. Checking and/or waiting for DVD.</source>
+      <translation>Ingen jobber, ser etter og/eller venter på DVD.</translation>
     </message>
     <message>
-        <source>No jobs and nothing else to do. You could hit 0 to rip a disc if you like.</source>
-        <translation>Ingen jobber eller andre ting å gjøre. Hvorfor ikke rippe en DVD?</translation>
+      <source>No jobs and nothing else to do. You could hit 0 to rip a disc if you like.</source>
+      <translation>Ingen jobber eller andre ting å gjøre. Hvorfor ikke rippe en DVD?</translation>
     </message>
     <message>
-        <source>Cancelling ...</source>
-        <translation>Avbryter . . .</translation>
+      <source>Cancelling ...</source>
+      <translation>Avbryter . . .</translation>
     </message>
     <message>
-        <source>0 New Rip</source>
-        <translation>0 Ripp</translation>
+      <source>0 New Rip</source>
+      <translation>0 Ripp</translation>
     </message>
     <message>
-        <source>9 Cancel Job</source>
-        <translation>9 Avbryt jobb</translation>
+      <source>9 Cancel Job</source>
+      <translation>9 Avbryt jobb</translation>
     </message>
-</context>
-<context>
+  </context>
+  <context>
     <name>QObject</name>
     <message>
-        <source>
+      <source>
 
 You have no VCD Player command defined.</source>
-        <translation>
+      <translation>
 
 Det er ikke angitt et program for VCD-avspilling.</translation>
     </message>
     <message>
-        <source>OK, I&apos;ll go run Setup</source>
-        <translation>Greit, oppsett neste</translation>
+      <source>OK, I'll go run Setup</source>
+      <translation>Greit, oppsett neste</translation>
     </message>
     <message>
-        <source>
+      <source>
 
 You have no VCD Device defined.</source>
-        <translation>
+      <translation>
 
 Det er ikke angitt en VCD-enhet.</translation>
     </message>
     <message>
-        <source>
+      <source>
 
 You have no DVD Device defined.</source>
-        <translation>
+      <translation>
 
 Det er ikke angitt en DVD-enhet.</translation>
     </message>
     <message>
-        <source>Location of VCD device</source>
-        <translation>Sti til VCD-enhet</translation>
+      <source>Location of VCD device</source>
+      <translation>Sti til VCD-enhet</translation>
     </message>
     <message>
-        <source>This device must exist, and the user running MythDVD needs to have read permission on the device.</source>
-        <translation>Enheten må finnes, og brukeren som kjører MythDVD må ha lesetilgang til den.</translation>
+      <source>This device must exist, and the user running MythDVD needs to have read permission on the device.</source>
+      <translation>Enheten må finnes, og brukeren som kjører MythDVD må ha lesetilgang til den.</translation>
     </message>
     <message>
-        <source>Location of DVD device</source>
-        <translation>Sti til DVD-enhet</translation>
+      <source>Location of DVD device</source>
+      <translation>Sti til DVD-enhet</translation>
     </message>
     <message>
-        <source>On DVD insertion</source>
-        <translation>Handling ved DVD-innsetting</translation>
+      <source>On DVD insertion</source>
+      <translation>Handling ved DVD-innsetting</translation>
     </message>
     <message>
-        <source>Display mythdvd menu</source>
-        <translation>Vis MythDVD-menyen</translation>
+      <source>Display mythdvd menu</source>
+      <translation>Vis MythDVD-menyen</translation>
     </message>
     <message>
-        <source>Do nothing</source>
-        <translation>Ikke gjør noe</translation>
+      <source>Do nothing</source>
+      <translation>Ikke gjør noe</translation>
     </message>
     <message>
-        <source>Play DVD</source>
-        <translation>Spill av DVD</translation>
+      <source>Play DVD</source>
+      <translation>Spill av DVD</translation>
     </message>
     <message>
-        <source>Rip DVD</source>
-        <translation>Ripp DVD</translation>
+      <source>Rip DVD</source>
+      <translation>Ripp DVD</translation>
     </message>
     <message>
-        <source>Media Monitoring should be turned on to allow this feature (Setup -&gt; General -&gt; CD/DVD Monitor</source>
-        <translation>Dette krever at medieovervåking er aktivert 
-(Innstillinger -&gt; Generelt -&gt; Overvåk CD/DVD)</translation>
+      <source>Media Monitoring should be turned on to allow this feature (Setup -> General -> CD/DVD Monitor</source>
+      <translation>Dette krever at medieovervåking er aktivert 
+(Innstillinger -> Generelt -> Overvåk CD/DVD)</translation>
     </message>
     <message>
-        <source>General Settings</source>
-        <translation>Generelle innstillinger</translation>
+      <source>General Settings</source>
+      <translation>Generelle innstillinger</translation>
     </message>
     <message>
-        <source>DVD Player Command</source>
-        <translation>Kommando for DVD-avspiller</translation>
+      <source>DVD Player Command</source>
+      <translation>Kommando for DVD-avspiller</translation>
     </message>
     <message>
-        <source>This can be any command to launch a DVD player (e.g. MPlayer, ogle, etc.). If present, %d will be substituted for the DVD device (e.g. /dev/dvd).</source>
-        <translation>En kommando som starter en DVD-avspiller (MPlayer, ogle etc.). &apos;%d&apos; erstattes med navnet på DVD-enheten (f.eks. &apos;/dev/dvd&apos;).</translation>
+      <source>This can be any command to launch a DVD player (e.g. MPlayer, ogle, etc.). If present, %d will be substituted for the DVD device (e.g. /dev/dvd).</source>
+      <translation>En kommando som starter en DVD-avspiller (MPlayer, ogle etc.). '%d' erstattes med navnet på DVD-enheten (f.eks. '/dev/dvd').</translation>
     </message>
     <message>
-        <source>VCD Player Command</source>
-        <translation>Kommando for VCD-avspiller</translation>
+      <source>VCD Player Command</source>
+      <translation>Kommando for VCD-avspiller</translation>
     </message>
     <message>
-        <source>This can be any command to launch a VCD player (e.g. MPlayer, xine, etc.). If present, %d will be substituted for the VCD device (e.g. /dev/cdrom).</source>
-        <translation>En kommando som starter en VCD-avspiller (MPlayer, xine etc.). &apos;%d&apos; erstattes med VCD-enheten (f.eks. &apos;/dev/cdrom&apos;).</translation>
+      <source>This can be any command to launch a VCD player (e.g. MPlayer, xine, etc.). If present, %d will be substituted for the VCD device (e.g. /dev/cdrom).</source>
+      <translation>En kommando som starter en VCD-avspiller (MPlayer, xine etc.). '%d' erstattes med VCD-enheten (f.eks. '/dev/cdrom').</translation>
     </message>
     <message>
-        <source>DVD Player Settings</source>
-        <translation>Innstillinger for DVD-avspiller</translation>
+      <source>DVD Player Settings</source>
+      <translation>Innstillinger for DVD-avspiller</translation>
     </message>
     <message>
-        <source>VCD Player Settings</source>
-        <translation>Innstillinger for VCD-avspiller</translation>
+      <source>VCD Player Settings</source>
+      <translation>Innstillinger for VCD-avspiller</translation>
     </message>
     <message>
-        <source>Directory to hold temporary files</source>
-        <translation>Katalog for midlertidige filer</translation>
+      <source>Directory to hold temporary files</source>
+      <translation>Katalog for midlertidige filer</translation>
     </message>
     <message>
-        <source>This directory must exist, and the user running MythDVD needs to have write permission to the directory.</source>
-        <translation>Katalogen må finnes, og brukeren som kjører MythDVD må ha lese- og skrivetilgang til den.</translation>
+      <source>This directory must exist, and the user running MythDVD needs to have write permission to the directory.</source>
+      <translation>Katalogen må finnes, og brukeren som kjører MythDVD må ha lese- og skrivetilgang til den.</translation>
     </message>
     <message>
-        <source>Title Playing Command</source>
-        <translation>Kommando for forhåndsvisning av DVD</translation>
+      <source>Title Playing Command</source>
+      <translation>Kommando for forhåndsvisning av DVD</translation>
     </message>
     <message>
-        <source>This is a command used to preview a given title on a DVD. If present %t will be set to the title, %d for device, %a for audio track, %c for audio channels.</source>
-        <translation>Kommandoen som brukes for å forhåndsvise en gitt tittel på en DVD. &apos;%t&apos; ersattes med tittelen, &apos;%d&apos; med enheten, &apos;%a&apos; med lyssporet og &apos;%c&apos; med lydkanaler.</translation>
+      <source>This is a command used to preview a given title on a DVD. If present %t will be set to the title, %d for device, %a for audio track, %c for audio channels.</source>
+      <translation>Kommandoen som brukes for å forhåndsvise en gitt tittel på en DVD. '%t' ersattes med tittelen, '%d' med enheten, '%a' med lyssporet og '%c' med lydkanaler.</translation>
     </message>
     <message>
-        <source>Subtitle arguments:</source>
-        <translation>Argumenter for undertekster</translation>
+      <source>Subtitle arguments:</source>
+      <translation>Argumenter for undertekster</translation>
     </message>
     <message>
-        <source>If you choose any subtitles for ripping, this command is added to the end of the Title Play Command to allow previewing of subtitles. If  present %s will be set to the subtitle track. </source>
-        <translation>Hvis du velger å ta med undertekster i rippinger, legges disse argumentene til slutten av forhåndsvisningskommandoen, slik at undertekstene forhåndsvises. &apos;%s&apos; erstattes med undertekst-sporet. </translation>
+      <source>If you choose any subtitles for ripping, this command is added to the end of the Title Play Command to allow previewing of subtitles. If  present %s will be set to the subtitle track. </source>
+      <translation>Hvis du velger å ta med undertekster i rippinger, legges disse argumentene til slutten av forhåndsvisningskommandoen, slik at undertekstene forhåndsvises. '%s' erstattes med undertekst-sporet. </translation>
     </message>
     <message>
-        <source>Base transcode command</source>
-        <translation>Grunnkommando for koding</translation>
+      <source>Base transcode command</source>
+      <translation>Grunnkommando for koding</translation>
     </message>
     <message>
-        <source>This is the base (without arguments) command to run transcode on your system.</source>
-        <translation>Kommandoen (uten argumenter) for å kjøre transcode.</translation>
+      <source>This is the base (without arguments) command to run transcode on your system.</source>
+      <translation>Kommandoen (uten argumenter) for å kjøre transcode.</translation>
     </message>
     <message>
-        <source>MTD port number</source>
-        <translation>Port for MTD</translation>
+      <source>MTD port number</source>
+      <translation>Port for MTD</translation>
     </message>
     <message>
-        <source>The port number that should be used for communicating with the MTD (Myth Transcoding Daemon)</source>
-        <translation>Porten som brukes for kommunikasjon med MTD (Myths Transcode-demon)</translation>
+      <source>The port number that should be used for communicating with the MTD (Myth Transcoding Daemon)</source>
+      <translation>Porten som brukes for kommunikasjon med MTD (Myths Transcode-demon)</translation>
     </message>
     <message>
-        <source>MTD logs to terminal window</source>
-        <translation>Vis utdata fra MTD i terminalvinduet</translation>
+      <source>MTD logs to terminal window</source>
+      <translation>Vis utdata fra MTD i terminalvinduet</translation>
     </message>
     <message>
-        <source>If set, the MTD (Myth Transcoding Daemon) will log to the window it is started from. Otherwise, it will write to a file called  mtd.log in the top level ripping directory.</source>
-        <translation>Dette gjør at MTD (Myths Transcode-demon) viser utdata i terminalvinduet den ble startet fra, i stedet for filen &apos;mtd.log&apos; i rippe-katalogen.</translation>
+      <source>If set, the MTD (Myth Transcoding Daemon) will log to the window it is started from. Otherwise, it will write to a file called  mtd.log in the top level ripping directory.</source>
+      <translation>Dette gjør at MTD (Myths Transcode-demon) viser utdata i terminalvinduet den ble startet fra, i stedet for filen 'mtd.log' i rippe-katalogen.</translation>
     </message>
     <message>
-        <source>Transcode AC3 Audio</source>
-        <translation>Kode AC3-lyd</translation>
+      <source>Transcode AC3 Audio</source>
+      <translation>Kode AC3-lyd</translation>
     </message>
     <message>
-        <source>If set, the MTD (Myth Transcoding Daemon) will, by default, preserve AC3 (Dolby Digital) audio in transcoded files. </source>
-        <translation>Hvis dette aktiveres beholder MTD (Myths kodingsdemon) AC3 (Dolby Digital)-lyd i kodete filer. </translation>
+      <source>If set, the MTD (Myth Transcoding Daemon) will, by default, preserve AC3 (Dolby Digital) audio in transcoded files. </source>
+      <translation>Hvis dette aktiveres beholder MTD (Myths kodingsdemon) AC3 (Dolby Digital)-lyd i kodete filer. </translation>
     </message>
     <message>
-        <source>Use xvid rather than divx</source>
-        <translation>Bruk &apos;XviD&apos; i stedet for &apos;DivX&apos;</translation>
+      <source>Use xvid rather than divx</source>
+      <translation>Bruk 'XviD' i stedet for 'DivX'</translation>
     </message>
     <message>
-        <source>If set, mythdvd will use the (open, free) xvid codec rather than divx whenever possible.</source>
-        <translation>Bruk XviD-kodeken (åpen kildekode) i stedet for DivX når det er mulig.</translation>
+      <source>If set, mythdvd will use the (open, free) xvid codec rather than divx whenever possible.</source>
+      <translation>Bruk XviD-kodeken (åpen kildekode) i stedet for DivX når det er mulig.</translation>
     </message>
     <message>
-        <source>Nice level for MTD</source>
-        <translation>Snillhetsnivå for MTD</translation>
+      <source>Nice level for MTD</source>
+      <translation>Snillhetsnivå for MTD</translation>
     </message>
     <message>
-        <source>This determines the priority of the Myth Transcoding Daemon. Higher numbers mean lower priority (more CPU to other tasks).</source>
-        <translation>Prioritetsnivået til Myths kodingsdemon. Høyere numre betyr lavere prioritet (mer prosessorkraft for andre oppgaver).</translation>
+      <source>This determines the priority of the Myth Transcoding Daemon. Higher numbers mean lower priority (more CPU to other tasks).</source>
+      <translation>Prioritetsnivået til Myths kodingsdemon. Høyere numre betyr lavere prioritet (mer prosessorkraft for andre oppgaver).</translation>
     </message>
     <message>
-        <source>Simultaneous Transcode Jobs</source>
-        <translation>Samtidige kodingsjobber</translation>
+      <source>Simultaneous Transcode Jobs</source>
+      <translation>Samtidige kodingsjobber</translation>
     </message>
     <message>
-        <source>This determines the number of simultaneous transcode jobs. If set at 1 (the default), there will only be one active job at a time.</source>
-        <translation>Antall kodingsjobber som kan kjøres samtidig. Standard er 1.</translation>
+      <source>This determines the number of simultaneous transcode jobs. If set at 1 (the default), there will only be one active job at a time.</source>
+      <translation>Antall kodingsjobber som kan kjøres samtidig. Standard er 1.</translation>
     </message>
     <message>
-        <source>Ripped video segments</source>
-        <translation>Størrelse på rippede videodeler</translation>
+      <source>Ripped video segments</source>
+      <translation>Størrelse på rippede videodeler</translation>
     </message>
     <message>
-        <source>If set to something other than 0, ripped video titles will be broken up into files of this size (in MB). Applies to both perfect quality recordings and intermediate files used for transcoding.</source>
-        <translation>Hvis dette settes til noe annet enn 0 vil rippete filmer deles opp i filer på denne størrelsen. Dette gjelder både perfekte opptak og filer brukt for konvertering.</translation>
+      <source>If set to something other than 0, ripped video titles will be broken up into files of this size (in MB). Applies to both perfect quality recordings and intermediate files used for transcoding.</source>
+      <translation>Hvis dette settes til noe annet enn 0 vil rippete filmer deles opp i filer på denne størrelsen. Dette gjelder både perfekte opptak og filer brukt for konvertering.</translation>
     </message>
     <message>
-        <source>DVD Ripper Settings</source>
-        <translation>Innstillinger for DVD-ripper</translation>
+      <source>DVD Ripper Settings</source>
+      <translation>Innstillinger for DVD-ripper</translation>
     </message>
     <message>
-        <source>MTD Settings</source>
-        <translation>Innstillinger for MTD</translation>
+      <source>MTD Settings</source>
+      <translation>Innstillinger for MTD</translation>
     </message>
     <message>
-        <source>Unknown</source>
-        <translation>Ukjent</translation>
+      <source>Unknown</source>
+      <translation>Ukjent</translation>
     </message>
     <message>
-        <source>Waiting For Access to DVD</source>
-        <translation>Venter på tilgang til DVD</translation>
+      <source>Waiting For Access to DVD</source>
+      <translation>Venter på tilgang til DVD</translation>
     </message>
     <message>
-        <source>Ripping to file ~</source>
-        <translation>Ripper til filen &apos;~&apos;</translation>
+      <source>Ripping to file ~</source>
+      <translation>Ripper til filen '~'</translation>
     </message>
     <message>
-        <source>Perfect DVD Rip of %1</source>
-        <translation>Perfekt DVD-ripping av &apos;%1&apos;</translation>
+      <source>Perfect DVD Rip of %1</source>
+      <translation>Perfekt DVD-ripping av '%1'</translation>
     </message>
     <message>
-        <source>Transcode of %1</source>
-        <translation>Konvertering av &apos;%1&apos;</translation>
+      <source>Transcode of %1</source>
+      <translation>Konvertering av '%1'</translation>
     </message>
     <message>
-        <source>Waiting for Permission to Start Transcoding</source>
-        <translation>Venter på tillatelse til å starte konvertering</translation>
+      <source>Waiting for Permission to Start Transcoding</source>
+      <translation>Venter på tillatelse til å starte konvertering</translation>
     </message>
     <message>
-        <source>Transcoding Pass 1 of 2 ~</source>
-        <translation>Konverteringsfase 1 av 2 ~</translation>
+      <source>Transcoding Pass 1 of 2 ~</source>
+      <translation>Konverteringsfase 1 av 2 ~</translation>
     </message>
     <message>
-        <source>Transcoding Pass 2 of 2 ~</source>
-        <translation>Konverteringsfase 2 av 2 ~</translation>
+      <source>Transcoding Pass 2 of 2 ~</source>
+      <translation>Konverteringsfase 2 av 2 ~</translation>
     </message>
     <message>
-        <source>Transcoding ~</source>
-        <translation>Konverterer ~</translation>
+      <source>Transcoding ~</source>
+      <translation>Konverterer ~</translation>
     </message>
     <message>
-        <source>Transcode is thinking </source>
-        <translation>Konverteringsprogrammet tenker </translation>
+      <source>Transcode is thinking </source>
+      <translation>Konverteringsprogrammet tenker </translation>
     </message>
     <message>
-        <source>ISO copy of %1</source>
-        <translation>ISO-kopi av %1</translation>
+      <source>ISO copy of %1</source>
+      <translation>ISO-kopi av %1</translation>
     </message>
     <message>
-        <source>Waiting for access to DVD</source>
-        <translation>Venter på tilgang til DVD</translation>
+      <source>Waiting for access to DVD</source>
+      <translation>Venter på tilgang til DVD</translation>
     </message>
-</context>
-<context>
+  </context>
+  <context>
     <name>ThemeUI</name>
     <message>
-        <source>Rip/Transcode</source>
-        <translation>Ripp/Konverter</translation>
+      <source>Rip/Transcode</source>
+      <translation>Ripp/Konverter</translation>
     </message>
     <message>
-        <source>Job 1 of 1</source>
-        <translation>Jobb 1 av 1</translation>
+      <source>Job 1 of 1</source>
+      <translation>Jobb 1 av 1</translation>
     </message>
     <message>
-        <source>Length:</source>
-        <translation>Lengde:</translation>
+      <source>Length:</source>
+      <translation>Lengde:</translation>
     </message>
     <message>
-        <source>Select:</source>
-        <translation>Velg</translation>
+      <source>Select:</source>
+      <translation>Velg</translation>
     </message>
     <message>
-        <source>Name:</source>
-        <translation>Navn:</translation>
+      <source>Name:</source>
+      <translation>Navn:</translation>
     </message>
     <message>
-        <source>Quality:</source>
-        <translation>Kvalitet:</translation>
+      <source>Quality:</source>
+      <translation>Kvalitet:</translation>
     </message>
     <message>
-        <source>Audio Track:</source>
-        <translation>Lydspor:</translation>
+      <source>Audio Track:</source>
+      <translation>Lydspor:</translation>
     </message>
     <message>
-        <source>AC3 Audio:</source>
-        <translation>AC3-lyd:</translation>
+      <source>AC3 Audio:</source>
+      <translation>AC3-lyd:</translation>
     </message>
     <message>
-        <source>Subtitles:</source>
-        <translation>Undertekster:</translation>
+      <source>Subtitles:</source>
+      <translation>Undertekster:</translation>
     </message>
     <message>
-        <source>View:</source>
-        <translation>Visning:</translation>
+      <source>View:</source>
+      <translation>Visning:</translation>
     </message>
     <message>
-        <source>0:00:00</source>
-        <translation>0:00:00</translation>
+      <source>0:00:00</source>
+      <translation>0:00:00</translation>
     </message>
     <message>
-        <source>Title 1 of 1</source>
-        <translation>Tittel 1 av 1</translation>
+      <source>Title 1 of 1</source>
+      <translation>Tittel 1 av 1</translation>
     </message>
-</context>
-<context>
+  </context>
+  <context>
     <name>TitleDialog</name>
     <message>
-        <source>Unkown</source>
-        <translation type="obsolete">Ukjent</translation>
+      <source>%1 - Title %2</source>
+      <translation>%1 - Tittel %2</translation>
     </message>
     <message>
-        <source>%1 - Title %2</source>
-        <translation>%1 - Tittel %2</translation>
+      <source>Perfect</source>
+      <translation>Perfekt</translation>
     </message>
     <message>
-        <source>Perfect</source>
-        <translation>Perfekt</translation>
+      <source>None</source>
+      <translation>Ingen</translation>
     </message>
     <message>
-        <source>None</source>
-        <translation>Ingen</translation>
+      <source>Title %1 of %2</source>
+      <translation>Tittel %1 av %2</translation>
     </message>
     <message>
-        <source>Title %1 of %2</source>
-        <translation>Tittel %1 av %2</translation>
+      <source>0 Process Selected Title</source>
+      <translation>0 Behandle valgt tittel</translation>
     </message>
     <message>
-        <source>0 Process Selected Title</source>
-        <translation>0 Behandle valgt tittel</translation>
+      <source>0 Process Selected Titles</source>
+      <translation>0 Behandle valgte titler</translation>
     </message>
     <message>
-        <source>0 Process Selected Titles</source>
-        <translation>0 Behandle valgte titler</translation>
+      <source>ISO Image</source>
+      <translation>ISO-bilde</translation>
     </message>
     <message>
-        <source>ISO Image</source>
-        <translation>ISO-bilde</translation>
+      <source>Unknown</source>
+      <translation>Ukjent</translation>
     </message>
-    <message>
-        <source>Unknown</source>
-        <translation type="unfinished">Ukjent</translation>
-    </message>
-</context>
+  </context>
 </TS>