Index: mythgallery_nb.ts
===================================================================
--- mythgallery_nb.ts	(revisjon 10757)
+++ mythgallery_nb.ts	(arbeidskopi)
@@ -1,358 +1,261 @@
-<!DOCTYPE TS><TS>
-<context>
-    <name>GLSingleView</name>
-    <message>
-        <source>Folder: </source>
-        <translation type="obsolete">Katalog: </translation>
-    </message>
-    <message>
-        <source>Created: </source>
-        <translation type="obsolete">Opprettet: </translation>
-    </message>
-    <message>
-        <source>Modified: </source>
-        <translation type="obsolete">Endret: </translation>
-    </message>
-    <message>
-        <source>Bytes</source>
-        <translation type="obsolete">Byte</translation>
-    </message>
-    <message>
-        <source>Width</source>
-        <translation type="obsolete">Bredde</translation>
-    </message>
-    <message>
-        <source>pixels</source>
-        <translation type="obsolete">piksler</translation>
-    </message>
-    <message>
-        <source>Height</source>
-        <translation type="obsolete">Høyde</translation>
-    </message>
-    <message>
-        <source>Pixel Count</source>
-        <translation type="obsolete">Antall piksler</translation>
-    </message>
-    <message>
-        <source>megapixels</source>
-        <translation type="obsolete">megapiksler</translation>
-    </message>
-    <message>
-        <source>Rotation Angle</source>
-        <translation type="obsolete">Roteringsvinkel</translation>
-    </message>
-    <message>
-        <source>degrees</source>
-        <translation type="obsolete">grader</translation>
-    </message>
-</context>
-<context>
+<!DOCTYPE TS>
+<TS>
+  <context>
     <name>IconView</name>
     <message>
-        <source>Error</source>
-        <translation>Feil</translation>
+      <source>Error</source>
+      <translation>Feil</translation>
     </message>
     <message>
-        <source>Sorry: OpenGL support not available</source>
-        <translation>OpenGL er ikke tilgjengelig</translation>
+      <source>Sorry: OpenGL support not available</source>
+      <translation>OpenGL er ikke tilgjengelig</translation>
     </message>
     <message>
-        <source>SlideShow</source>
-        <translation>Lysbildevisning</translation>
+      <source>SlideShow</source>
+      <translation>Lysbildevisning</translation>
     </message>
     <message>
-        <source>Random</source>
-        <translation>Tilfeldig</translation>
+      <source>Random</source>
+      <translation>Tilfeldig</translation>
     </message>
     <message>
-        <source>Rotate CW</source>
-        <translation>Roter med klokken</translation>
+      <source>Rotate CW</source>
+      <translation>Roter med klokken</translation>
     </message>
     <message>
-        <source>Rotate CCW</source>
-        <translation>Roter mot klokken</translation>
+      <source>Rotate CCW</source>
+      <translation>Roter mot klokken</translation>
     </message>
     <message>
-        <source>Import</source>
-        <translation>Importer</translation>
+      <source>Import</source>
+      <translation>Importer</translation>
     </message>
     <message>
-        <source>Settings</source>
-        <translation>Innstillinger</translation>
+      <source>Settings</source>
+      <translation>Innstillinger</translation>
     </message>
     <message>
-        <source>Import pictures?</source>
-        <translation>Imporere bilder?</translation>
+      <source>Import pictures?</source>
+      <translation>Imporere bilder?</translation>
     </message>
     <message>
-        <source>No</source>
-        <translation>Nei</translation>
+      <source>No</source>
+      <translation>Nei</translation>
     </message>
     <message>
-        <source>Yes</source>
-        <translation>Ja</translation>
+      <source>Yes</source>
+      <translation>Ja</translation>
     </message>
     <message>
-        <source>Nothing found to import</source>
-        <translation>Ingenting å importere</translation>
+      <source>Nothing found to import</source>
+      <translation>Ingenting å importere</translation>
     </message>
     <message>
-        <source>OK</source>
-        <translation>OK</translation>
+      <source>OK</source>
+      <translation>OK</translation>
     </message>
     <message>
-        <source>Delete</source>
-        <translation type="unfinished"></translation>
+      <source>Delete</source>
+      <translation>Slett</translation>
     </message>
     <message>
-        <source>MythGallery Directory &apos;%1&apos; does not exist or is unreadable.</source>
-        <translation type="unfinished"></translation>
+      <source>MythGallery Directory '%1' does not exist or is unreadable.</source>
+      <translation>Myth-galleris katalog «%1» finnes ikke eller er utilgjengelig.</translation>
     </message>
     <message>
-        <source>MythGallery failed to load theme, see console for details.</source>
-        <translation type="unfinished"></translation>
+      <source>MythGallery failed to load theme, see console for details.</source>
+      <translation>Myth-galleri klarte ikke laste tema, se i konsollet for detaljer.</translation>
     </message>
     <message>
-        <source>The selected device is no longer available</source>
-        <translation type="unfinished"></translation>
+      <source>The selected device is no longer available</source>
+      <translation>Den valgte enheten er ikke lenger tilgjengelig</translation>
     </message>
     <message>
-        <source>Meta Data...</source>
-        <translation type="unfinished"></translation>
+      <source>Meta Data...</source>
+      <translation>Metadata . . .</translation>
     </message>
     <message>
-        <source>Marking...</source>
-        <translation type="unfinished"></translation>
+      <source>Marking...</source>
+      <translation>Merker . . .</translation>
     </message>
     <message>
-        <source>File...</source>
-        <translation type="unfinished"></translation>
+      <source>File...</source>
+      <translation>Fil . . .</translation>
     </message>
     <message>
-        <source>Return</source>
-        <translation type="unfinished"></translation>
+      <source>Return</source>
+      <translation>Enter</translation>
     </message>
     <message>
-        <source>Clear Marked</source>
-        <translation type="unfinished"></translation>
+      <source>Clear Marked</source>
+      <translation>Merk ingen</translation>
     </message>
     <message>
-        <source>Select All</source>
-        <translation type="unfinished"></translation>
+      <source>Select All</source>
+      <translation>Merk alle</translation>
     </message>
     <message>
-        <source>Show Devices</source>
-        <translation type="unfinished"></translation>
+      <source>Show Devices</source>
+      <translation>Vis enheter</translation>
     </message>
     <message>
-        <source>Copy here</source>
-        <translation type="unfinished"></translation>
+      <source>Copy here</source>
+      <translation>Kopier her</translation>
     </message>
     <message>
-        <source>Move here</source>
-        <translation type="unfinished"></translation>
+      <source>Move here</source>
+      <translation>Flytt her</translation>
     </message>
     <message>
-        <source>Create Dir</source>
-        <translation type="unfinished"></translation>
+      <source>Create Dir</source>
+      <translation>Lag katalog</translation>
     </message>
     <message>
-        <source>Delete Current File or Folder</source>
-        <translation type="unfinished"></translation>
+      <source>Delete Current File or Folder</source>
+      <translation>Slett gjeldende fil eller mappe</translation>
     </message>
     <message>
-        <source>Deleting 1 folder, including any subfolders and files.</source>
-        <translation type="unfinished"></translation>
+      <source>Deleting 1 folder, including any subfolders and files.</source>
+      <translation>Sletter én mappe, inkludert undermapper og filer.</translation>
     </message>
     <message>
-        <source>Deleting 1 image.</source>
-        <translation type="unfinished"></translation>
+      <source>Deleting 1 image.</source>
+      <translation>Sletter ett bilde.</translation>
     </message>
     <message>
-        <source>Delete Marked Files</source>
-        <translation type="unfinished"></translation>
+      <source>Delete Marked Files</source>
+      <translation>Slett markerte filer</translation>
     </message>
     <message>
-        <source>Deleting %1 images and folders, including any subfolders and files.</source>
-        <translation type="unfinished"></translation>
+      <source>Deleting %1 images and folders, including any subfolders and files.</source>
+      <translation>Sletter %1 bilder og mapper, inkludert undermapper og filer.</translation>
     </message>
     <message>
-        <source>New Folder</source>
-        <translation type="unfinished"></translation>
+      <source>New Folder</source>
+      <translation>Ny mappe</translation>
     </message>
     <message>
-        <source>Create New Folder</source>
-        <translation type="unfinished"></translation>
+      <source>Create New Folder</source>
+      <translation>Lag ny mappe</translation>
     </message>
     <message>
-        <source>Moving marked images...</source>
-        <translation type="unfinished"></translation>
+      <source>Moving marked images...</source>
+      <translation>Flytt markerte bilder . . .</translation>
     </message>
     <message>
-        <source>Copying marked images...</source>
-        <translation type="unfinished"></translation>
+      <source>Copying marked images...</source>
+      <translation>Kopier markerte bilder . . .</translation>
     </message>
-</context>
-<context>
+  </context>
+  <context>
     <name>QObject</name>
     <message>
-        <source>Directory that holds images</source>
-        <translation>Katalog for bilder</translation>
+      <source>Directory that holds images</source>
+      <translation>Katalog for bilder</translation>
     </message>
     <message>
-        <source>This directory must exist and MythGallery needs to have read permission.</source>
-        <translation>Katalogen må eksistere, og MythGallery må ha lesetilgang til den.</translation>
+      <source>This directory must exist and MythGallery needs to have read permission.</source>
+      <translation>Katalogen må eksistere, og MythGallery må ha lesetilgang til den.</translation>
     </message>
     <message>
-        <source>Store thumbnails in image directory</source>
-        <translation>Lagre forhåndsvisninger i bildekatalogen</translation>
+      <source>Store thumbnails in image directory</source>
+      <translation>Lagre forhåndsvisninger i bildekatalogen</translation>
     </message>
     <message>
-        <source>If set, thumbnails are stored in &apos;.thumbcache&apos; directories within the above directory. If cleared, they are stored in your home directory.</source>
-        <translation>Gjør at forhåndsvisningsbilder lagres i kataloger kalt &apos;.thumbcache&apos; innenfor katalogen ovenfor. Hvis dette ikke aktiveres, lagres de i hjemmekatalogen din.</translation>
+      <source>If set, thumbnails are stored in '.thumbcache' directories within the above directory. If cleared, they are stored in your home directory.</source>
+      <translation>Gjør at forhåndsvisningsbilder lagres i kataloger kalt '.thumbcache' innenfor katalogen ovenfor. Hvis dette ikke aktiveres, lagres de i hjemmekatalogen din.</translation>
     </message>
     <message>
-        <source>Command run to display movie files</source>
-        <translation>Kommando for å spille av filmer</translation>
+      <source>Command run to display movie files</source>
+      <translation>Kommando for å spille av filmer</translation>
     </message>
     <message>
-        <source>This command is executed whenever a movie file is selected</source>
-        <translation>Denne kommandoen utføres når filmfiler velges</translation>
+      <source>This command is executed whenever a movie file is selected</source>
+      <translation>Denne kommandoen utføres når filmfiler velges</translation>
     </message>
     <message>
-        <source>Paths to import images from</source>
-        <translation>Importer bilder fra</translation>
+      <source>Paths to import images from</source>
+      <translation>Importer bilder fra</translation>
     </message>
     <message>
-        <source>This is a colon separated list of paths. If the path in the list is a directory, its contents will be copied. If it is an executable, it will be run.</source>
-        <translation>En kolon-separert liste av stier. Hvis en sti fører til en katalog blir denne kopiert, fører den til en programfil blir denne kjørt.</translation>
+      <source>This is a colon separated list of paths. If the path in the list is a directory, its contents will be copied. If it is an executable, it will be run.</source>
+      <translation>En kolon-separert liste av stier. Hvis en sti fører til en katalog blir denne kopiert, fører den til en programfil blir denne kjørt.</translation>
     </message>
     <message>
-        <source>Use OpenGL transitions</source>
-        <translation>Bruk OpenGL for lysbildeoverganger</translation>
+      <source>Use OpenGL transitions</source>
+      <translation>Bruk OpenGL for lysbildeoverganger</translation>
     </message>
     <message>
-        <source>Check this to enable OpenGL based slideshow transitions</source>
-        <translation>Aktiver dette for å bruke OpenGL-baserte lysbildeoverganger</translation>
+      <source>Check this to enable OpenGL based slideshow transitions</source>
+      <translation>Aktiver dette for å bruke OpenGL-baserte lysbildeoverganger</translation>
     </message>
     <message>
-        <source>Type of OpenGL transition</source>
-        <translation>Type OpenGL-overgang</translation>
+      <source>Type of OpenGL transition</source>
+      <translation>Type OpenGL-overgang</translation>
     </message>
     <message>
-        <source>This is the type of OpenGL transition used between pictures in slideshow mode.</source>
-        <translation>Hvilken OpenGL-overgang som brukes mellom bilder i lysbildemodus.</translation>
+      <source>This is the type of OpenGL transition used between pictures in slideshow mode.</source>
+      <translation>Hvilken OpenGL-overgang som brukes mellom bilder i lysbildemodus.</translation>
     </message>
     <message>
-        <source>Type of transition</source>
-        <translation>Overgangstype</translation>
+      <source>Type of transition</source>
+      <translation>Overgangstype</translation>
     </message>
     <message>
-        <source>This is the type of transition used between pictures in slideshow mode.</source>
-        <translation>Overgangstypen som brukes mellom bilder i lysbildemodus.</translation>
+      <source>This is the type of transition used between pictures in slideshow mode.</source>
+      <translation>Overgangstypen som brukes mellom bilder i lysbildemodus.</translation>
     </message>
     <message>
-        <source>Type of background</source>
-        <translation>Bakgrunnstype</translation>
+      <source>Type of background</source>
+      <translation>Bakgrunnstype</translation>
     </message>
     <message>
-        <source>This is the type of background for each picture in single view mode.</source>
-        <translation>Bakgrunnstypen for hvert bilde i enkeltvisningsmodus.</translation>
+      <source>This is the type of background for each picture in single view mode.</source>
+      <translation>Bakgrunnstypen for hvert bilde i enkeltvisningsmodus.</translation>
     </message>
     <message>
-        <source>Slideshow Delay</source>
-        <translation>Visningstid for lysbilder</translation>
+      <source>Slideshow Delay</source>
+      <translation>Visningstid for lysbilder</translation>
     </message>
     <message>
-        <source>This is the number of seconds to display each picture.</source>
-        <translation>Hvor lenge hvert lysbilde vises.</translation>
+      <source>This is the number of seconds to display each picture.</source>
+      <translation>Hvor lenge hvert lysbilde vises.</translation>
     </message>
     <message>
-        <source>Recurse into directories</source>
-        <translation>Gå inn i underkataloger</translation>
+      <source>Recurse into directories</source>
+      <translation>Gå inn i underkataloger</translation>
     </message>
     <message>
-        <source>Check this to let the slideshow recurse into sub-directories.</source>
-        <translation>Aktiver dette for å la lysbildevisningen gå inn i underkataloger.</translation>
+      <source>Check this to let the slideshow recurse into sub-directories.</source>
+      <translation>Aktiver dette for å la lysbildevisningen gå inn i underkataloger.</translation>
     </message>
     <message>
-        <source>MythGallery Settings</source>
-        <translation>Innstillinger for MythGallery</translation>
+      <source>MythGallery Settings</source>
+      <translation>Innstillinger for MythGallery</translation>
     </message>
     <message>
-        <source>Gallery Directory does not exist or is unreadable.</source>
-        <translation type="obsolete">Galleri-katalogen finnes ikke eller er utilgjengelig.</translation>
+      <source>Ok</source>
+      <translation>OK</translation>
     </message>
     <message>
-        <source>Ok</source>
-        <translation>OK</translation>
+      <source>Overlay caption</source>
+      <translation>Overskrift oppå</translation>
     </message>
     <message>
-        <source>Overlay caption</source>
-        <translation type="unfinished"></translation>
+      <source>This is the number of seconds to show a caption on top of a full size picture.</source>
+      <translation>Antall sekunder en overskrift skal vises oppå et bilde i full størrelse.</translation>
     </message>
     <message>
-        <source>This is the number of seconds to show a caption on top of a full size picture.</source>
-        <translation type="unfinished"></translation>
+      <source>Sort order when browsing</source>
+      <translation>Sorteringsrekkefølge for blaing</translation>
     </message>
     <message>
-        <source>Sort order when browsing</source>
-        <translation type="unfinished"></translation>
+      <source>This is the sort order for the displayed picture thumbnails.</source>
+      <translation>Dette er sorteringsrekkefølgen for de viste forhåndsvisningene av bilder.</translation>
     </message>
     <message>
-        <source>This is the sort order for the displayed picture thumbnails.</source>
-        <translation type="unfinished"></translation>
+      <source>Duration of OpenGL Transition (milliseconds)</source>
+      <translation>Varighet for OpenGL-overgang (millisekunder)</translation>
     </message>
-    <message>
-        <source>Duration of OpenGL Transition (milliseconds)</source>
-        <translation type="unfinished"></translation>
-    </message>
-</context>
-<context>
-    <name>SingleView</name>
-    <message>
-        <source>Folder: </source>
-        <translation type="obsolete">Katalog: </translation>
-    </message>
-    <message>
-        <source>Created: </source>
-        <translation type="obsolete">Opprettet: </translation>
-    </message>
-    <message>
-        <source>Modified: </source>
-        <translation type="obsolete">Endret: </translation>
-    </message>
-    <message>
-        <source>Bytes</source>
-        <translation type="obsolete">Byte</translation>
-    </message>
-    <message>
-        <source>Width</source>
-        <translation type="obsolete">Bredde</translation>
-    </message>
-    <message>
-        <source>pixels</source>
-        <translation type="obsolete">piksler</translation>
-    </message>
-    <message>
-        <source>Height</source>
-        <translation type="obsolete">Høyde</translation>
-    </message>
-    <message>
-        <source>Pixel Count</source>
-        <translation type="obsolete">Antall piksler</translation>
-    </message>
-    <message>
-        <source>megapixels</source>
-        <translation type="obsolete">megapiksler</translation>
-    </message>
-    <message>
-        <source>Rotation Angle</source>
-        <translation type="obsolete">Roteringsvinkel</translation>
-    </message>
-    <message>
-        <source>degrees</source>
-        <translation type="obsolete">grader</translation>
-    </message>
-</context>
+  </context>
 </TS>