Index: mythgame_nb.ts
===================================================================
--- mythgame_nb.ts	(revisjon 0)
+++ mythgame_nb.ts	(revisjon 0)
@@ -0,0 +1,293 @@
+<!DOCTYPE TS>
+<TS>
+  <context>
+    <name>GameTree</name>
+    <message>
+      <source>Favourites</source>
+      <translation>Favoritter</translation>
+    </message>
+    <message>
+      <source>All Games</source>
+      <translation>Alle spill</translation>
+    </message>
+    <message>
+      <source>-   By Genre</source>
+      <translation>-   Etter sjanger</translation>
+    </message>
+    <message>
+      <source>-   By Year</source>
+      <translation>-   Etter år</translation>
+    </message>
+    <message>
+      <source>-   By Name</source>
+      <translation>-   Etter navn</translation>
+    </message>
+    <message>
+      <source>Players Available. 
+
+ Please pick one.</source>
+      <translation>Tilgjengelige spillere. 
+
+ Velg en.</translation>
+    </message>
+  </context>
+  <context>
+    <name>MythGamePlayerEditor</name>
+    <message>
+      <source>Game Player Menu</source>
+      <translation>Spiller-meny</translation>
+    </message>
+    <message>
+      <source>Edit..</source>
+      <translation>Rediger . . .</translation>
+    </message>
+    <message>
+      <source>Delete..</source>
+      <translation>Slett . . .</translation>
+    </message>
+    <message>
+      <source>Are you sure you want to delete this item?</source>
+      <translation>Virkelig slette dette elementet?</translation>
+    </message>
+    <message>
+      <source>Yes, delete It</source>
+      <translation>Ja, slett det</translation>
+    </message>
+    <message>
+      <source>No, don't</source>
+      <translation>Nei, behold det</translation>
+    </message>
+  </context>
+  <context>
+    <name>QObject</name>
+    <message>
+      <source>19xx</source>
+      <translation>19xx</translation>
+    </message>
+    <message>
+      <source>Unknown</source>
+      <translation>Ukjent</translation>
+    </message>
+    <message>
+      <source>0</source>
+      <translation>0</translation>
+    </message>
+    <message>
+      <source>No</source>
+      <translation>Nei</translation>
+    </message>
+    <message>
+      <source>No to all</source>
+      <translation>Nei til alle</translation>
+    </message>
+    <message>
+      <source>Yes</source>
+      <translation>Ja</translation>
+    </message>
+    <message>
+      <source>Yes to all</source>
+      <translation>Ja til alle</translation>
+    </message>
+    <message>
+      <source>File Missing</source>
+      <translation>Fil mangler</translation>
+    </message>
+    <message>
+      <source>%1 appears to be missing.
+Remove it from the database?</source>
+      <translation>Det ser ut som «%1» mangler. 
+Fjerne den fra databasen?</translation>
+    </message>
+    <message>
+      <source>Are you sure?</source>
+      <translation>Er du sikker?</translation>
+    </message>
+    <message>
+      <source>This will clear all Game Meta Data
+from the database. Are you sure you
+want to do this?</source>
+      <translation>Dette vil fjerne all spillmetadata fra 
+databasen. Vil du virkelig gjøre 
+det?</translation>
+    </message>
+    <message>
+      <source>Game display order</source>
+      <translation>Visningsrekkefølge for spill</translation>
+    </message>
+    <message>
+      <source>Order in which to sort the games - this is for all systems. Available choices: system, year, genre and gamename</source>
+      <translation>I hvilken rekkefølge spill skal sorteres; dette er for alle systemer. Mulige valg: system, år, sjanger og spillnavn</translation>
+    </message>
+    <message>
+      <source>Favourite display order</source>
+      <translation>Rekkefølge for favoritter</translation>
+    </message>
+    <message>
+      <source>Order in which to sort the games marked as favourites - this is for all systems. Available choices: system, year, genre and gamename</source>
+      <translation>I hvilken rekkefølge favorittspill skal sorteres; dette er for alle systemer. Mulige valg: system, år, sjanger og spillnavn</translation>
+    </message>
+    <message>
+      <source>Indepth Game Scan</source>
+      <translation>Dypt spillsøk</translation>
+    </message>
+    <message>
+      <source>Enabling this causes a game scan to gather crc values and attempt to find out more detailed information about the game: NOTE this can greatly increase the time a gamescan takes based on the amount of games scanned.</source>
+      <translation>Hvis på vil et spillsøk prøve å hente crc-verdier og prøve å finne ut mer detaljert informasjon om spillet. MEK: dette kan gjøre at spillsøk tar mye lenger tid, avhengig av hvor mange spill som gjennomsøkes.</translation>
+    </message>
+    <message>
+      <source>Prompt for removal of deleted rom(s)</source>
+      <translation>Spør om sletting av fjernete rom-filer</translation>
+    </message>
+    <message>
+      <source>This enables a prompt for removing deleted roms from the database during a  gamescan</source>
+      <translation>Dette gjør at du under et spillsøk blir spurt om fjerning av rom-filer fra databasen hvis de ikke finnes lenger</translation>
+    </message>
+    <message>
+      <source>Display Files Names in Game Tree</source>
+      <translation>Vis filnavn i spilltre</translation>
+    </message>
+    <message>
+      <source>Enabling this causes the filenames to be displayed in the game tree rather than the trimmed/looked up gamename</source>
+      <translation>Dette gjør at filnavn vieses i spilltreet i stedet for det finjusterte/oppslåtte spillnavnet</translation>
+    </message>
+    <message>
+      <source>MythGame Settings -- General</source>
+      <translation>Oppsett av Myth-spill -- Generelt</translation>
+    </message>
+    <message>
+      <source>Allow games to span multiple roms/disks</source>
+      <translation>Tillat spill å gå over flere rom-filer/disker</translation>
+    </message>
+    <message>
+      <source>This setting means that we will look for items like game.1.rom, game.2.rom and consider them a single game.</source>
+      <translation>Dette gjør at det sees etter filer som game.1.rom, game.2.rom og betrakte dem som ett enkelt spill.</translation>
+    </message>
+    <message>
+      <source>Command</source>
+      <translation>Kommando</translation>
+    </message>
+    <message>
+      <source>Path+name of binary and optional parameters. %s can be used to represent the name of any rom being launched. if not specified the rom filename will be added to the end of the command. As well %d1, %d2, %d3 and %d4 represent disks in a multidisk/game situation</source>
+      <translation>Sti+navn for programfil og valgfrie argumenter. %s kan brukes for å representere navnet på rom-files som skal startes. Hvis %s ikke er med legges dette navnet til på slutten av kommandoen. %d1, %d2, %d3 og %d4 representerer disker hvis spillet har flere</translation>
+    </message>
+    <message>
+      <source>Type</source>
+      <translation>Type</translation>
+    </message>
+    <message>
+      <source>Type of Game/Emulator. Mostly for informational purposes and has little effect on the function of your system.</source>
+      <translation>Type spill/emulator. Mest for ekstra informasjon og har liten effekt på funksjonaliteten på systemet ditt.</translation>
+    </message>
+    <message>
+      <source>Rom Path</source>
+      <translation>Rom-sti</translation>
+    </message>
+    <message>
+      <source>Location of the ROM files for this emulator</source>
+      <translation>Stien til ROM-filene for denne emulatoren</translation>
+    </message>
+    <message>
+      <source>Working Directory</source>
+      <translation>Arbeidskatalog</translation>
+    </message>
+    <message>
+      <source>Directory to change to before launching emulator. Blank is usually fine</source>
+      <translation>Bytt til denne katalogen før emulatoren startes. Et tomt felt er som regel greit</translation>
+    </message>
+    <message>
+      <source>File Extensions</source>
+      <translation>Filetternavn</translation>
+    </message>
+    <message>
+      <source>List of all file extensions to be used for this emulator. Blank means any file under ROM PATH is considered to be used with this emulator</source>
+      <translation>Liste med filetternavn som skal brukes av denne emulatoren. Et tomt felt betyr at enhver fil i ROM-stien kan brukes av denne emulatoren</translation>
+    </message>
+    <message>
+      <source>ScreenShots</source>
+      <translation>Skjermbilder</translation>
+    </message>
+    <message>
+      <source>Path to any screenshots for this player</source>
+      <translation>Sti til skjermbilder for denne spilleren</translation>
+    </message>
+    <message>
+      <source>Game Player Setup</source>
+      <translation>Spilleroppsett</translation>
+    </message>
+    <message>
+      <source>(New Game Player)</source>
+      <translation>(Ny spiller)</translation>
+    </message>
+    <message>
+      <source>OTHER</source>
+      <translation>ANNEN</translation>
+    </message>
+    <message>
+      <source>AMIGA</source>
+      <translation>AMIGA</translation>
+    </message>
+    <message>
+      <source>ATARI</source>
+      <translation>ATARI</translation>
+    </message>
+    <message>
+      <source>GENESIS/MEGADRIVE</source>
+      <translation>GENESIS/MEGADRIVE</translation>
+    </message>
+    <message>
+      <source>MAME</source>
+      <translation>MAME</translation>
+    </message>
+    <message>
+      <source>N64</source>
+      <translation>N64</translation>
+    </message>
+    <message>
+      <source>NES</source>
+      <translation>NES</translation>
+    </message>
+    <message>
+      <source>PC GAME</source>
+      <translation>PC-SPILL</translation>
+    </message>
+    <message>
+      <source>PCE/TG16</source>
+      <translation>PCE/TG16</translation>
+    </message>
+    <message>
+      <source>SEGA/MASTER SYSYTEM</source>
+      <translation>SEGA/MASTER SYSTEM</translation>
+    </message>
+    <message>
+      <source>SNES</source>
+      <translation>SNES</translation>
+    </message>
+    <message>
+      <source>Player Name</source>
+      <translation>Spillernavn</translation>
+    </message>
+    <message>
+      <source>Name of this Game and or Emulator</source>
+      <translation>Navn på dette spillet og/eller emulatoren</translation>
+    </message>
+  </context>
+  <context>
+    <name>ThemeUI</name>
+    <message>
+      <source>System:</source>
+      <translation>System:</translation>
+    </message>
+    <message>
+      <source>Year:</source>
+      <translation>År:</translation>
+    </message>
+    <message>
+      <source>Genre:</source>
+      <translation>Sjanger:</translation>
+    </message>
+    <message>
+      <source>Favorite:</source>
+      <translation>Favoritt:</translation>
+    </message>
+  </context>
+</TS>
Index: translate.pro
===================================================================
--- translate.pro	(revisjon 10761)
+++ translate.pro	(arbeidskopi)
@@ -7,4 +7,4 @@
 TRANSLATIONS  = mythgame_it.ts mythgame_es.ts mythgame_ca.ts
 TRANSLATIONS += mythgame_nl.ts mythgame_de.ts mythgame_dk.ts
 TRANSLATIONS += mythgame_pt.ts mythgame_sv.ts mythgame_si.ts
-TRANSLATIONS += mythgame_fr.ts mythgame_fi.ts
+TRANSLATIONS += mythgame_fr.ts mythgame_fi.ts mythgame_nb.ts
Index: i18n.pro
===================================================================
--- i18n.pro	(revisjon 10761)
+++ i18n.pro	(arbeidskopi)
@@ -8,7 +8,7 @@
 trans.files  = mythgame_it.qm mythgame_es.qm mythgame_ca.qm
 trans.files += mythgame_nl.qm mythgame_de.qm mythgame_dk.qm
 trans.files += mythgame_pt.qm mythgame_sv.qm mythgame_si.qm
-trans.files += mythgame_fr.qm mythgame_fi.qm
+trans.files += mythgame_fr.qm mythgame_fi.qm mythgame_nb.qm
 
 INSTALLS += trans
 