Index: mythnews_nb.ts
===================================================================
--- mythnews_nb.ts	(revisjon 0)
+++ mythnews_nb.ts	(revisjon 0)
@@ -0,0 +1,115 @@
+<!DOCTYPE TS>
+<TS>
+  <context>
+    <name>MythNews</name>
+    <message>
+      <source>Updated</source>
+      <translation>Oppdatert</translation>
+    </message>
+    <message>
+      <source>Unknown</source>
+      <translation>Ukjent</translation>
+    </message>
+    <message>
+      <source>Edit Site Details</source>
+      <translation>Rediger sidedetaljer</translation>
+    </message>
+    <message>
+      <source>Enter Site Details</source>
+      <translation>Skriv inn sidedetaljer</translation>
+    </message>
+    <message>
+      <source>Name:</source>
+      <translation>Navn:</translation>
+    </message>
+    <message>
+      <source>URL:</source>
+      <translation>URL:</translation>
+    </message>
+    <message>
+      <source>Icon:</source>
+      <translation>Ikon:</translation>
+    </message>
+    <message>
+      <source>OK</source>
+      <translation>OK</translation>
+    </message>
+    <message>
+      <source>Cancel</source>
+      <translation>Avbryt</translation>
+    </message>
+    <message>
+      <source>Edit News Site</source>
+      <translation>Rediger nyhetsside</translation>
+    </message>
+    <message>
+      <source>Add News Site</source>
+      <translation>Legg til nyhetsside</translation>
+    </message>
+    <message>
+      <source>Delete News Site</source>
+      <translation>Slett nyhetsside</translation>
+    </message>
+  </context>
+  <context>
+    <name>MythNewsConfig</name>
+    <message>
+      <source>Press MENU to set the update frequency.</source>
+      <translation>Trykk MENY for å velge oppdateringshyppighet</translation>
+    </message>
+    <message>
+      <source>Set update frequency by using the up/down arrows.
+The minimum allowed value is 30 Minutes.</source>
+      <translation>Sett oppdateringshyppigheten ved hjelp av opp/ned-pilene. Minste verdi er 30 minutter.</translation>
+    </message>
+    <message>
+      <source>Press MENU to return to feed selection.</source>
+      <translation>Trykk MENY for å gå tilbake til strømvelgeren.</translation>
+    </message>
+  </context>
+  <context>
+    <name>NewsSite</name>
+    <message>
+      <source>Retrieve Failed. </source>
+      <translation>Klarte ikke hente. </translation>
+    </message>
+    <message>
+      <source>Failed to retrieve news</source>
+      <translation>Klarte ikke hente nyheter</translation>
+    </message>
+    <message>
+      <source>No Cached News</source>
+      <translation>Ingen mellomlagrete nyheter</translation>
+    </message>
+    <message>
+      <source>Failed to read downloaded file</source>
+      <translation>Klarte ikke lese nedlastet fil</translation>
+    </message>
+    <message>
+      <source>Showing Cached News</source>
+      <translation>Viser mellomlagrete nyheter</translation>
+    </message>
+  </context>
+  <context>
+    <name>QObject</name>
+    <message>
+      <source>MythNews</source>
+      <translation>MythNews</translation>
+    </message>
+    <message>
+      <source>Are you sure you want to delete this news site
+
+%1</source>
+      <translation>Virkelig slette denne nyhetssiden 
+
+%1</translation>
+    </message>
+  </context>
+  <context>
+    <name>ThemeUI</name>
+    <message>
+      <source>Minutes</source>
+      <translation>Minutter</translation>
+    </message>
+  </context>
+</TS>
Index: translate.pro
===================================================================
--- translate.pro	(revisjon 10761)
+++ translate.pro	(arbeidskopi)
@@ -6,5 +6,5 @@
 TRANSLATIONS  = mythnews_it.ts mythnews_es.ts mythnews_ca.ts
 TRANSLATIONS += mythnews_nl.ts mythnews_de.ts mythnews_dk.ts
 TRANSLATIONS += mythnews_pt.ts mythnews_sv.ts mythnews_fr.ts
-TRANSLATIONS += mythnews_ja.ts mythnews_si.ts
+TRANSLATIONS += mythnews_ja.ts mythnews_si.ts mythnews_nb.ts
 TRANSLATIONS += mythnews_fi.ts
\ Ingen linjeslutt på slutten av filen
Index: i18n.pro
===================================================================
--- i18n.pro	(revisjon 10761)
+++ i18n.pro	(arbeidskopi)
@@ -8,7 +8,7 @@
 trans.files  = mythnews_it.qm mythnews_es.qm mythnews_ca.qm
 trans.files += mythnews_nl.qm mythnews_de.qm mythnews_dk.qm
 trans.files += mythnews_pt.qm mythnews_sv.qm mythnews_fr.qm
-trans.files += mythnews_ja.qm mythnews_si.qm
+trans.files += mythnews_ja.qm mythnews_si.qm mythnews_nb.qm
 trans.files += mythnews_fi.qm
 
 INSTALLS += trans