diff --git a/myththemes/Gray-OSD/cut_end.png b/myththemes/Gray-OSD/cut_end.png
index 8ec3389..71a6bf7 100644
Binary files a/myththemes/Gray-OSD/cut_end.png and b/myththemes/Gray-OSD/cut_end.png differ
diff --git a/myththemes/Gray-OSD/cut_start.png b/myththemes/Gray-OSD/cut_start.png
index 4b54898..fa74d10 100644
Binary files a/myththemes/Gray-OSD/cut_start.png and b/myththemes/Gray-OSD/cut_start.png differ
diff --git a/myththemes/Gray-OSD/osd.xml b/myththemes/Gray-OSD/osd.xml
index 7371f4f..fd18b2f 100644
--- a/myththemes/Gray-OSD/osd.xml
+++ b/myththemes/Gray-OSD/osd.xml
@@ -381,16 +381,16 @@
       <altfilename>fill_red.png</altfilename>
     </slider>
     <slider name="editposition" type="position">
-      <area>127,388,406,40</area>
+      <area>127,391,406,34</area>
       <filename>position_marker.png</filename>
     </slider>
     <editarrow name="left">
       <filename>cut_end.png</filename>
-      <area>125,391,406,40</area>
+      <area>127,392,406,26</area>
     </editarrow>
     <editarrow name="right">
       <filename>cut_start.png</filename>
-      <area>125,391,406,40</area>
+      <area>127,392,406,26</area>
     </editarrow>
     <textarea name="timedisplay">
       <area>255,368,200,60</area>
diff --git a/myththemes/Gray-OSD/position_marker.png b/myththemes/Gray-OSD/position_marker.png
index f53792d..9c4c4df 100644
Binary files a/myththemes/Gray-OSD/position_marker.png and b/myththemes/Gray-OSD/position_marker.png differ
diff --git a/myththemes/Iulius-OSD/blue.png b/myththemes/Iulius-OSD/blue.png
index 006db9e..9a3fa82 100644
Binary files a/myththemes/Iulius-OSD/blue.png and b/myththemes/Iulius-OSD/blue.png differ
diff --git a/myththemes/Iulius-OSD/cut-end.png b/myththemes/Iulius-OSD/cut-end.png
index b37d752..e56bdd9 100644
Binary files a/myththemes/Iulius-OSD/cut-end.png and b/myththemes/Iulius-OSD/cut-end.png differ
diff --git a/myththemes/Iulius-OSD/cut-start.png b/myththemes/Iulius-OSD/cut-start.png
index 15591cf..439db23 100644
Binary files a/myththemes/Iulius-OSD/cut-start.png and b/myththemes/Iulius-OSD/cut-start.png differ
diff --git a/myththemes/Iulius-OSD/osd.xml b/myththemes/Iulius-OSD/osd.xml
index 0329a32..84efbee 100644
--- a/myththemes/Iulius-OSD/osd.xml
+++ b/myththemes/Iulius-OSD/osd.xml
@@ -219,21 +219,21 @@
       <position>0,424</position>
     </image>
     <slider name="editslider" type="edit">
-	    <area>92,420,455,437</area>
+	    <area>92,420,455,26</area>
       <filename>blue.png</filename>
       <altfilename>red.png</altfilename>
     </slider>
     <slider name="editposition" type="position">
-      <area>92,415,455,415</area>
+      <area>92,413,455,40</area>
       <filename>position-indicator.png</filename>
     </slider>
     <editarrow name="left">
       <filename>cut-end.png</filename>
-      <area>92,421,455,470</area>
+      <area>92,420,455,26</area>
     </editarrow>
     <editarrow name="right">
       <filename>cut-start.png</filename>
-      <area>92,421,455,470</area>
+      <area>92,420,455,26</area>
     </editarrow>
     <textarea name="timedisplay" align="right">
       <area>246,48,330,30</area>
diff --git a/myththemes/Iulius-OSD/red.png b/myththemes/Iulius-OSD/red.png
index a301e9c..2376576 100644
Binary files a/myththemes/Iulius-OSD/red.png and b/myththemes/Iulius-OSD/red.png differ
diff --git a/myththemes/Retro-OSD/cut_start.png b/myththemes/Retro-OSD/cut_start.png
index 0479830..58b9876 100644
Binary files a/myththemes/Retro-OSD/cut_start.png and b/myththemes/Retro-OSD/cut_start.png differ
diff --git a/myththemes/Retro-OSD/osd.xml b/myththemes/Retro-OSD/osd.xml
index f8d0f52..0552366 100644
--- a/myththemes/Retro-OSD/osd.xml
+++ b/myththemes/Retro-OSD/osd.xml
@@ -266,16 +266,16 @@
       <altfilename>fill_red.png</altfilename>
     </slider>
     <slider name="editposition" type="position">
-	<area>32,395,580,16</area>
+	<area>30,390,580,28</area>
       	<filename>position_marker.png</filename>
     </slider>
     <editarrow name="left">
       <filename>cut_end.png</filename>
-      <area>26,393,580,20</area>
+      <area>30,390,580,28</area>
     </editarrow>
     <editarrow name="right">
       <filename>cut_start.png</filename>
-      <area>26,393,580,20</area>
+      <area>30,390,580,28</area>
     </editarrow>
     <textarea name="timedisplay">
       <area>30,424,100,60</area>
diff --git a/myththemes/Titivillus-OSD/cut-end.png b/myththemes/Titivillus-OSD/cut-end.png
index c5eb26a..9547ab7 100644
Binary files a/myththemes/Titivillus-OSD/cut-end.png and b/myththemes/Titivillus-OSD/cut-end.png differ
diff --git a/myththemes/Titivillus-OSD/cut-start.png b/myththemes/Titivillus-OSD/cut-start.png
index d238547..c77f2ee 100644
Binary files a/myththemes/Titivillus-OSD/cut-start.png and b/myththemes/Titivillus-OSD/cut-start.png differ
diff --git a/myththemes/Titivillus-OSD/osd.xml b/myththemes/Titivillus-OSD/osd.xml
index 7d9de0b..24dba56 100644
--- a/myththemes/Titivillus-OSD/osd.xml
+++ b/myththemes/Titivillus-OSD/osd.xml
@@ -329,12 +329,12 @@
       <position>31,325</position>
     </image>
     <slider name="editslider" type="edit">
-      <area>160,407,410,65</area>
+      <area>160,407,410,22</area>
       <filename>fill-blue.png</filename>
       <altfilename>red.png</altfilename>
     </slider>
     <slider name="editposition" type="position">
-      <area>160,400,410,60</area>
+      <area>160,402,410,36</area>
       <filename>position-indicator.png</filename>
     </slider>
     <textarea name="timedisplay" align="center">
@@ -351,11 +351,11 @@
     </textarea>
     <editarrow name="left">
       <filename>cut-end.png</filename>
-      <area>160,405,410,25</area>
+      <area>160,405,410,26</area>
     </editarrow>
     <editarrow name="right">
       <filename>cut-start.png</filename>
-      <area>160,405,410,25</area>
+      <area>160,405,410,26</area>
     </editarrow>
   </container>
 
diff --git a/myththemes/isthmus/cut_end.png b/myththemes/isthmus/cut_end.png
index 8ec3389..71a6bf7 100644
Binary files a/myththemes/isthmus/cut_end.png and b/myththemes/isthmus/cut_end.png differ
diff --git a/myththemes/isthmus/cut_start.png b/myththemes/isthmus/cut_start.png
index 4b54898..fa74d10 100644
Binary files a/myththemes/isthmus/cut_start.png and b/myththemes/isthmus/cut_start.png differ
diff --git a/myththemes/isthmus/osd.xml b/myththemes/isthmus/osd.xml
index da7ea62..f18e24b 100644
--- a/myththemes/isthmus/osd.xml
+++ b/myththemes/isthmus/osd.xml
@@ -288,16 +288,16 @@
       <altfilename>fill_red.png</altfilename>
     </slider>
     <slider name="editposition" type="position">
-      <area>127,428,406,40</area>
+      <area>127,430,406,34</area>
       <filename>position_marker.png</filename>
     </slider>
     <editarrow name="left">
       <filename>cut_end.png</filename>
-      <area>125,431,406,40</area>
+      <area>127,432,406,26</area>
     </editarrow>
     <editarrow name="right">
       <filename>cut_start.png</filename>
-      <area>125,431,406,40</area>
+      <area>127,432,406,26</area>
     </editarrow>
     <textarea name="timedisplay">
       <area>125,408,200,60</area>
diff --git a/myththemes/isthmus/position_marker.png b/myththemes/isthmus/position_marker.png
index f53792d..9c4c4df 100644
Binary files a/myththemes/isthmus/position_marker.png and b/myththemes/isthmus/position_marker.png differ
diff --git a/mythtv/themes/blueosd/cut-end.png b/mythtv/themes/blueosd/cut-end.png
index 34f8461..184d480 100644
Binary files a/mythtv/themes/blueosd/cut-end.png and b/mythtv/themes/blueosd/cut-end.png differ
diff --git a/mythtv/themes/blueosd/cut-start.png b/mythtv/themes/blueosd/cut-start.png
index 4b8deb1..27ce87f 100644
Binary files a/mythtv/themes/blueosd/cut-start.png and b/mythtv/themes/blueosd/cut-start.png differ
diff --git a/mythtv/themes/blueosd/osd.xml b/mythtv/themes/blueosd/osd.xml
index 33ad04e..918b169 100644
--- a/mythtv/themes/blueosd/osd.xml
+++ b/mythtv/themes/blueosd/osd.xml
@@ -244,21 +244,21 @@
 
   <container name="editmode">
     <slider name="editslider" type="edit">
-      <area>25,425,590,65</area>
+      <area>25,425,590,22</area>
       <filename>fill-blue.png</filename>
       <altfilename>red.png</altfilename>
     </slider>
     <slider name="editposition" type="position">
-      <area>25,415,590,65</area>
+      <area>25,416,590,40</area>
       <filename>position-indicator.png</filename>
     </slider>
     <editarrow name="left">
       <filename>cut-end.png</filename>
-      <area>25,400,590,65</area>
+      <area>25,424,590,24</area>
     </editarrow>
     <editarrow name="right">
       <filename>cut-start.png</filename>
-      <area>25,400,590,65</area>
+      <area>25,424,590,24</area>
     </editarrow>
     <textarea name="timedisplay" align="right">
       <area>270,30,330,30</area>
diff --git a/mythtv/themes/defaultosd/cut-end.png b/mythtv/themes/defaultosd/cut-end.png
index 34f8461..184d480 100644
Binary files a/mythtv/themes/defaultosd/cut-end.png and b/mythtv/themes/defaultosd/cut-end.png differ
diff --git a/mythtv/themes/defaultosd/cut-start.png b/mythtv/themes/defaultosd/cut-start.png
index 4b8deb1..27ce87f 100644
Binary files a/mythtv/themes/defaultosd/cut-start.png and b/mythtv/themes/defaultosd/cut-start.png differ
diff --git a/mythtv/themes/defaultosd/osd.xml b/mythtv/themes/defaultosd/osd.xml
index d5928de..e3335af 100644
--- a/mythtv/themes/defaultosd/osd.xml
+++ b/mythtv/themes/defaultosd/osd.xml
@@ -207,21 +207,21 @@
 
   <container name="editmode">
     <slider name="editslider" type="edit">
-      <area>40,405,560,65</area>
+      <area>40,405,560,22</area>
       <filename>fill-blue.png</filename>
       <altfilename>red.png</altfilename>
     </slider>
     <slider name="editposition" type="position">
-      <area>40,395,560,65</area>
+      <area>40,396,560,40</area>
       <filename>position-indicator.png</filename>
     </slider>
     <editarrow name="left">
       <filename>cut-end.png</filename>
-      <area>40,380,560,65</area>
+      <area>40,404,560,24</area>
     </editarrow>
     <editarrow name="right">
       <filename>cut-start.png</filename>
-      <area>40,380,560,65</area>
+      <area>40,404,560,24</area>
     </editarrow>
     <textarea name="timedisplay" align="right">
       <area>255,30,330,30</area>